[Search experiment] QA experiment add-on and sign-off for deployment
After we have the .xpi produced we should test and ensure that it works as intended, specially after it has been deployed to the staging server in bug  Deployment to production should be dependent on a sign-off from this testing.
